#!/bin/bash

# Vycisteni pripadne predchozi konfigurace
iptables -F
iptables -X

# Defaultni politiky - co neni povoleno zakaz
iptables -P INPUT DROP
iptables -P OUTPUT DROP
iptables -P FORWARD DROP

# Povoleni spojeni na TCP
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -A OUTPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

# Nastaveni pro web - povoleni portu 80 v obou smerech pro umozneni prohlizeni stranek
iptables -A INPUT -p tcp --dport 80 -j ACCEPT
iptables -A OUTPUT -p tcp --dport 80 -j ACCEPT

# Povoleni multicastu se streamem televize na koleji, rozsah ip adres jsou jednotlive kanaly, udp na portu 1234
iptables -i eth0 -A INPUT -p igmp -j ACCEPT
iptables -i eth0 -A INPUT -p udp -d 236.11.12.0/25 --dport 1234 -j ACCEPT

# Uzivatel guest ma povoleno pouze pripojeni na port 80 na internet
iptables -A OUTPUT -p tcp -m owner --uid-owner guest --dport 80 -j ACCEPT
iptables -A INPUT -p tcp -m owner --uid-owner guest --dport 80 -j ACCEPT

# Nastaveni pro FTP - funguje na portu 21 a povoleno je jen rozmezi IP adres pochazejicich z nasi koleje nikdo jiny se na FTP nepripoji
iptables -A INPUT -p tcp --dport 21 -i eth0 -m iprange --src-range 147.32.104.2-147.32.105.254  -j ACCEPT
iptables -A OUTPUT -p tcp --dport 21 -m iprange --src-range 147.32.104.2-147.32.105.254 -j ACCEPT  

# Povoleni pripojeni ICQ klienta (Kopete), ktery na rozmezi portu 5190 - 5199 posila soubory a komunikuje
iptables -A INPUT -p tcp --dport 5190:5199 -i eth0  -j ACCEPT
iptables -A OUTPUT -p tcp --dport 5190:5199 -j ACCEPT

# Povoleni ICMP packetu kvuli prenosu diagnostickych a chybovych zprav, pouzivaji programy jako ping ...
iptables -A INPUT -p ICMP -i eth0 --icmp-type 0 -j ACCEPT
iptables -A INPUT -p ICMP -i eth0 --icmp-type 3 -j ACCEPT
iptables -A INPUT -p ICMP -i eth0 --icmp-type 8 -j ACCEPT
iptables -A INPUT -p ICMP -i eth0 --icmp-type 11 -j ACCEPT

# Povoleni komunikace na rozhrani loopback, napr pro funkcnost lokalniho apache + nagios3
iptables -A INPUT -p ALL -i lo -j ACCEPT
iptables -A OUTPUT -p ALL -j ACCEPT

# Logovani zamitnutych packetu
iptables -A INPUT -j LOG


